# PictureRecorder class

Records a Picture containing a sequence of graphical operations.

To begin recording, construct a Canvas to record the commands. To end recording, use the PictureRecorder.endRecording method.

## Constructors

PictureRecorder()
  Creates a new idle PictureRecorder. To associate it with a Canvas and begin recording, pass this PictureRecorder to the Canvas constructor.

## Properties

isRecording → bool
  Whether this object is currently recording commands. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

endRecording() → Picture
  Finishes recording graphical operations. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited